BEGIN ~TCWGCLRK~ 2

IF WEIGHT #3 ~RandomNum(5,1)~ THEN BEGIN 0
  SAY ~Hmmn... we seem to be all out of the vellum forms for tax concessions. I guess the city goes without them this year... oh, well.~
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~RandomNum(5,2)~ THEN BEGIN 1
  SAY ~Sometimes I wonder why we keep all these records when most of the city can neither read nor write.~
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~RandomNum(5,3)~ THEN BEGIN 2
  SAY ~Did you know that halflings have had a tax break since the Year of the Spur?  Nobody has told them, though, and the rest of 'em can't read or write, anyway.~
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~RandomNum(5,4)~ THEN BEGIN 3
  SAY ~I've got a form for claiming land in Maztica around here somewhere... you have full rights to kill the natives, too...~
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~RandomNum(5,5)~ THEN BEGIN 4
  SAY ~Whenever they want to lower costs, the Council changes the names of our forms.  How can I know land grants are on the Futility of Clouds Application?~
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~Detect("TCVILD") !StateCheck("TCVILD",CD_STATE_NOTVALID) RandomNum(3,1) Global("clerk01Vildamyr","LOCALS",0)~ THEN BEGIN 5
  SAY ~Look, if you want to get a form for something, you need to know the exact designation for the form you want and how many copies.  And that requires a directory, which --~
  IF ~~ THEN DO ~SetGlobal("clerk01Vildamyr","LOCALS",1)~ EXTERN ~TCVILDJ~ Vild2Clerk
END

IF WEIGHT #1 ~Detect("TCTERRA") !StateCheck("TCTERRA",CD_STATE_NOTVALID) RandomNum(3,2) Global("clerk01Terra","LOCALS",0)~ THEN BEGIN 6
  SAY ~(sigh)  If you're here to complain about the tree removals, I'm afraid you need to fill out the Second Trout form, and we're all out of those.  So sorry.~
  IF ~~ THEN DO ~SetGlobal("clerk01Terra","LOCALS",1)~ EXTERN ~TCTERRAJ~ Terra2Clerk
END

IF WEIGHT #2 ~Detect("TCSHADOW") !StateCheck("TCSHADOW",CD_STATE_NOTVALID) RandomNum(3,3) Global("clerk01Shadow","LOCALS",0)~ THEN BEGIN 7
  SAY ~Now if you are all here to try and get a form, all I can tell you is that ... oh no... it's another halfling.  Leave all of my paperwork alone you.  And return anything you have already stolen.~
  IF ~~ THEN DO ~SetGlobal("clerk01Shadow","LOCALS",1)~ EXTERN ~TCSHADOJ~ Shadow2Clerk
END


APPEND ~TCSHADOJ~

IF ~~ THEN BEGIN Shadow2Clerk
  SAY ~Stolen!  The very idea never crossed my mind.  *You see her quietly put something back on a nearby desk.*~
  IF ~~ THEN EXIT
END
END

APPEND ~TCTERRAJ~

IF ~~ THEN BEGIN Terra2Clerk
  SAY ~I'm not here for that.  Say... what trees?~
  IF ~~ THEN EXIT
END
END

APPEND ~TCVILDJ~

IF ~~ THEN BEGIN Vild2Clerk
  SAY ~I assure you that I don't need any forms or directories.~
  IF ~~ THEN EXIT
END
END
